Bug 98243 - Update Port: devel/p5-DateTime 0.30->0.31
Summary: Update Port: devel/p5-DateTime 0.30->0.31
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-31 23:10 UTC by Aaron Dalton
Modified: 2006-06-14 13:19 UTC (History)
0 users

See Also:


Attachments
submission.txt (4.06 KB, text/plain)
2006-05-31 23:10 UTC, Aaron Dalton
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Dalton freebsd_committer 2006-05-31 23:10:12 UTC
- Update from v0.30 to v0.31
- Update pkg-plist to respect NOPORTDOCS
- Restrict to Perl 5.6+ due to dependencies (Module::Build mainly)
  - Some errors in 'make test' under Perl 5.6 have been reported to vendor

0.31    2006-05-21

[ ENHANCEMENTS ]

- Switched some uses of die() to Carp::croak(), where
appropriate. This should make error messages more useful in many
cases. Based on a suggestion by Max Maischein. See RT tickets 11692 &
18728.

[ BUG FIXES ]

- Removed all uses of UNIVERSAL::isa and UNIVERSAL::can.

- Tweaked 20infinite.t test to give more useful output for some
failures, though it probably doesn't fix them. See RT 17390.
Comment 1 Edwin Groothuis freebsd_committer 2006-05-31 23:16:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mat

Over to maintainer
Comment 2 Mathieu Arnold freebsd_committer 2006-06-14 13:19:32 UTC
State Changed
From-To: open->closed

Committed, thanks
Comment 3 Mathieu Arnold freebsd_committer 2006-06-14 13:19:32 UTC
State Changed
From-To: open->closed

Committed, thanks